(* main.ml     Main entry point of Slide24
 *
 * Copyright (c) 2022 Psellos   http://psellos.com
 *
 * Licensed under the MIT license:
 *     http://opensource.org/licenses/MIT
 *)
open Js_of_ocaml

let slide24_init () =
    let screen =
        match Dom_html.getElementById_opt "slide24Body" with
        | Some div -> div
        | _ -> failwith "Slide24 : initialization failure"
    in
    Slide24ctlr.launch screen [S24defs.Shufd ("Shuffle", 150, false)]


let _ =
    let open Dom_html in
    let l = handler (fun ev -> slide24_init (); Js._true) in
    addEventListener window Event.load l Js._false
